%define version	1.0.3
%define release	%mkrel 3

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

# QTDIR is /usr/lib/qt3 for the time being
%define qtdir %{_prefix}/lib/qt3

Summary:	An input method server for traditional Chinese
Name:		gcin
Version:	%{version}
Release:	%{release}
License:	LGPL
URL: 		http://www.csie.nctu.edu.tw/~cp76/
Group:		System/Internationalization
Source0:	http://www.csie.nctu.edu.tw/~cp76/gcin/download/%{name}-%{version}.tar.bz2
Source1:	xcin2gcin
Source2:	gcin.sh
Source3:	set-gcin-sys-xim
Patch0:		gcin-0.9.5-x86_64-build.patch.bz2
Patch1:		gcin-1.0.3-lib64.patch.bz2
Patch2:		gcin-1.0.3-64bit-fixes.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post):	gtk+2.0
Requires(postun): gtk+2.0
BuildRequires:	gtk+2-devel
BuildRequires:	qt3-devel >= 3.3.4-9mdk
Requires:	%{libname} = %{version}
Requires:	locales-zh
# ease upgrade
Conflicts:	%{libname} < 0.9.5-2mdk

%description
gcin is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.


%package -n	%{libname}
Summary:	Gcin library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}
Conflicts:	%{name} < 0.9.5-2mdk

%description -n %{libname}
gcin is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .lib64
%patch2 -p1 -b .64bit-fixes

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
# fix installing in proper path on x86_64:
%makeinstall_std libdir=%buildroot%_libdir
rm -fr %buildroot%_libdir/menu

# remove menu from package
rm -f $RPM_BUILD_ROOT%{_menudir}/*

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 %SOURCE3 $RPM_BUILD_ROOT/%{_bindir}/
ln -s xcin2gcin $RPM_BUILD_ROOT/%{_bindir}/gcin2xcin

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 icon="gcin.png" \
 title="GCIN setup" \
 longtitle="GCIN setup" \
 needs="x11" \
 section="System/Configuration/Other" \
 command="%{_bindir}/gcin-setup"
_EOF_

# dispatch qt plugins to the right directory
mkdir -p $RPM_BUILD_ROOT%{qtdir}/plugins/%{_lib}/inputmethods/
mv $RPM_BUILD_ROOT%{_libdir}/qt3/plugins/inputmethods/*.so $RPM_BUILD_ROOT%{qtdir}/plugins/%{_lib}/inputmethods/
rm -rf $RPM_BUILD_ROOT%{_libdir}/qt3/plugins/inputmethods/

# remove unneeded files
rm -rf $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
# install gtk IM module
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
%update_menus

%postun
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING Changelog README
%{_bindir}/*
%{_datadir}/applications/gcin-setup.desktop
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gcin
%{_iconsdir}/*
%{_libdir}/gtk-2.0/immodules/*.so
%{qtdir}/plugins/%{_lib}/inputmethods/*
%{_mandir}/man?/*
%{_menudir}/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libgcin*.so


%changelog
* Mon Sep 12 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-3mdk
- rebuild b/c of qt-immodule (#18486)

* Wed Aug 31 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.3-2mdk
- 64-bit fixes
- split requires(post,postun)
- fix location of qt plugins (lib64 fixes)

* Fri Aug 19 2005 You-Cheng Hsieh <yochenhsieh@xuite.net> 1.0.3-1mdk
- new release

* Mon Jul 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Sat Jul 09 2005 Abel Cheung <deaddog@mandriva.org> 1.0.0-1mdk
- New release

* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-3mdk
- patch 0: fix build on x86_64
- fix installing on x86_64

* Thu Jun 30 2005 Abel Cheung <deaddog@mandriva.org> 0.9.5-2mdk
- Drop patch, menu should be in english and translated afterwards,
  so regenerate menu inside package instead

* Fri May 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release
- kill patch 1 (merged upstream)

* Mon May 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-1mdk
- new release (#15828)
- patch 1: fix compiling with gcc-4.0

* Mon Apr 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.1-1mdk
- new release

* Sun Mar 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.6-1mdk
- new release
- disable parallel build since it's broken in 0.8.6
- patch 0: fix upcase in menu entries

* Fri Mar 04 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.4-1mdk
- first spec for Mandrakelinux
- based on the spec by Steven Shiau/Chung-Yen Chang. Thanks!
